<?php
/**
 * @copyright nobody.
 */

// make sure we are not being called directly
defined('APP_DIR') or exit();

//------------------------------
// create
//------------------------------
function view_xxCsv_create($_post, $_user, $_conf)
{
    $mod = $_post['mod'];
    if (!jrCore_module_is_active($mod)) {
        return 'module not active, make sure the url has /mod=jrAudio or other active module.';
    }
    $k     = explode(',', $_post['keys']);
    $pfx   = jrCore_db_get_prefix($mod);
    $_keys = false;
    foreach ($k as $key) {
        if (strpos($key, $pfx) === 0) {
            $_keys[] = $key;
        }
    }
    if (!isset($_post['keys']) || !is_array($_keys)) {
        return 'no keys set, make sure the url has /audio_title,audio_album_url,.... or other active keys you want returned.';
    }

    $_sp  = array(
        'search'         => array(),
        'return_keys'    => $_keys,
        'skip_triggers'  => true,
        'privacy_check'  => false,
        'ignore_pending' => true,
        'limit'          => 500
    );
    $_rt  = jrCore_db_search_items($mod, $_sp);
    $_rep = array();
    if ($_rt && is_array($_rt['_items'])) {
        foreach ($_rt['_items'] as $key => $item) {
            if (is_array($item)) {
                foreach ($item as $name => $value) {
                    if (strpos($name, $pfx) === 0) {
                        $_rep['_items'][$key][$name] = $value;
                    }
                }
            }
        }
    }

    return jrCore_parse_template('list.tpl', $_rep, 'xxCsv');
}

//------------------------------
// download
//------------------------------
function view_xxCsv_download($_post, $_user, $_conf)
{
    $mod = $_post['mod'];
    if (!jrCore_module_is_active($mod)) {
        return 'module not active, make sure the url has /mod=jrAudio or other active module.';
    }
    $k     = explode(',', $_post['keys']);
    $pfx   = jrCore_db_get_prefix($mod);
    $_keys = false;
    foreach ($k as $key) {
        if (strpos($key, $pfx) === 0) {
            $_keys[] = $key;
        }
    }
    if (!isset($_post['keys']) || !is_array($_keys)) {
        return 'no keys set, make sure the url has /audio_title,audio_album_url,.... or other active keys you want returned.';
    }
    $keys = implode(',', $_keys);
    // read the incoming url, capture the page and pop it up for download.
    $murl = jrCore_get_module_url('xxCsv');

    $temp = jrCore_load_url($_conf['jrCore_base_url'] . '/' . $murl . '/create/mod=' . $mod . '/keys=' . $keys);

    header("Content-type: text/csv");
    header("Content-Disposition: attachment; filename=\"the_file_" . date('Ymd') . ".csv\"");

    echo $temp;
    exit;
}
